// This file is released under the 3-clause BSD license. See COPYING-BSD.

// ulink previous function with same name
[bOK, ilib] = c_link('digimetrie_gw');
if bOK then
  ulink(ilib);
end

if getos() == "Windows" then
    // to manage long pathname
    CFLAGS = "-I""" + get_absolute_file_path("builder_gateway_c.sce") + "../../src/c""";
else
    CFLAGS = "-I" + get_absolute_file_path("builder_gateway_c.sce") + "../../src/c";
end

// If root Builder was not called => debug mode auto-choosen
if exists("debug_on") == 0 then 
    debug_on = 1
    printf( "Auto Debug_on pour gateway/C/ \n")
end
if debug_on > 0 then
    printf( "Compilation en Debug_on pour Gateway/C/ \n")
    CFLAGS = CFLAGS + " -DMY_DEBUG "
end


tbx_build_gateway("digimetrie_gw",                        ..
                     [  "digi_AInf","sci_digi_AInf";"digi_AInf_Scan","sci_digi_AInf_Scan"..
					  ; "digi_AOutf","sci_digi_AOutf";"digi_AOutf_Scan","sci_digi_AOutf_Scan"..
                      ; "digi_DIn","sci_digi_DIn";"digi_BIn","sci_digi_BIn"..
                      ; "digi_DOut","sci_digi_DOut";"digi_BOut","sci_digi_BOut"..
					  ; "digi_TestParam", "sci_digi_TestParam";"digi_get_Error_String", "sci_digi_get_Error_String"..
					  ; "digi_Reinit", "sci_digi_Reinit"..
					  ]..
                   , [ "Digimetrie_Sci_Interface.c" ]..
				   , get_absolute_file_path("builder_gateway_c.sce") ..
                   , ["../../src/c/libdigimetrie"]..
                   , ""..
                   , CFLAGS ..
				   );

clear tbx_build_gateway debug_on;

